Klappa = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0", "FuBarPlugin-2.0", "AceConsole-2.0", "AceDebug-2.0");
local dewdrop = AceLibrary("Dewdrop-2.0");

local defaults = {
	Locked = true,
	ButtonScale = 1.0,
	--PopupButtonScale = 0.8,
	--ButtonLocked = true,
	--ShowTooltip = true,
	--ShowTTOOC = true,
	--InvertBar = false,
	--VerticalBar = false,
	--ShortTooltip = false;
};
Klappa:RegisterDB("KlappaDB");
Klappa:RegisterDefaults('profile', defaults);

-- Fubar Stuff
Klappa.hideWithoutStandby = true;
local defaultIcon = "Interface\\Icons\\Spell_Nature_EarthBindTotem.blp";
Klappa.hasIcon = defaultIcon;
Klappa.hasNoColor = true;
Klappa.defaultMinimapPosition = 200;
Klappa.clickableTooltip  = true;
Klappa.independentProfile = true;

-----------------
-- Common Code --
-----------------

function Klappa:OnInitialize()
	local short, long = self:GetProfile();
	if (short == "Default") then
		self:Print("Char based Profiles are default now");
		self:SetProfile("char");
	end
	self:InitProfile();
	self.options = self:InitOptions();
	self:RegisterChatCommand({"/Klappa"}, self.options );		
end

function Klappa:OnEnable()
	if(not self.IsInitialized) then
		self:CreateBar();
		self.locked = self.db.profile.Locked;
		self.IsInitialized = true;
		if(self.locked) then
			Klappa.root.texture:Hide();
		else 	
			Klappa.root.texture:Show();
		end
	else
		
	end
end

function Klappa:OnDisable()
	--self.KlappaBar:Hide();
end

function Klappa:CheckShowToolTip()
	
end
